# class Imp | Base for all implementation classes. More...
Full name | `KJS::Imp`
Definition | `#include <object.h>`
Inherited by | ConstructorImp, FunctionImp, HostImp, InternalFunctionImp, ObjectImp
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Imp ()
- virtual KJSO toPrimitive (Type preferred = UndefinedType) const
- virtual Boolean toBoolean () const
- virtual Number toNumber () const
- virtual String toString () const
- virtual Object toObject () const
- virtual KJSO get (const UString &p) const
- virtual bool hasProperty (const UString &p, bool recursive = true) const
- virtual void put (const UString &p, const KJSO& v)
- void put (const UString &p, const KJSO& v, int attr)
- virtual bool canPut (const UString &p) const
- virtual bool deleteProperty (const UString &p)
- virtual KJSO defaultValue (Type hint) const
- bool implementsCall () const
- virtual void mark (Imp *imp = 0L)
- Type type () const
- virtual const TypeInfo* typeInfo () const
- void setPrototype (const KJSO& p)
- void setConstructor (const KJSO& c)
- void* operator new (size_t)
- void operator delete (void*)
- void operator delete (void*, size_t)

#### Public Members

- static int count
- unsigned int refcount

#### Protected Methods

- virtual ~Imp ()

## Detailed Description

Imp () | ### Imp

KJSO toPrimitive (Type preferred = UndefinedType) | ### toPrimitive

[const virtual]

Boolean toBoolean () | ### toBoolean

[const virtual]

Number toNumber () | ### toNumber

[const virtual]

String toString () | ### toString

[const virtual]

Object toObject () | ### toObject

[const virtual]

KJSO get (const UString &p) | ### get

[const virtual]

bool hasProperty (const UString &p, bool recursive = true) | ### hasProperty

[const virtual]

void put (const UString &p, const KJSO& v) | ### put

[virtual]

void put (const UString &p, const KJSO& v, int attr) | ### put

bool canPut (const UString &p) | ### canPut

[const virtual]

bool deleteProperty (const UString &p) | ### deleteProperty

[virtual]

KJSO defaultValue (Type hint) | ### defaultValue

[const virtual]

bool implementsCall () | ### implementsCall

[const]

void mark (Imp *imp = 0L) | ### mark

[virtual]

Type type () | ### type

[const]

const TypeInfo* typeInfo () | ### typeInfo

[const virtual]

Returns: The TypeInfo struct describing this object.

void setPrototype (const KJSO& p) | ### setPrototype

void setConstructor (const KJSO& c) | ### setConstructor

void* operator new (size_t) | ### new

void operator delete (void*) | ### delete

void operator delete (void*, size_t) | ### delete

static int count | ### count

~Imp () | ### ~Imp

[protected virtual]

unsigned int refcount | ### refcount

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:45:14 2001, using kdoc 2.0a53.